﻿@* ReSharper disable once CSharpWarnings::CS8974 *@

<div class="d-flex m-2 gap-20">
    <label>@Title</label>
    <label class="switch">
        <input type="checkbox" checked="@Value" @onchange="@HandleValueChangedAsync"/>
        <span class="slider round"></span>
    </label>
</div>

@code {
    [Parameter]
    public string Title { get; set; } = "";
    
    [Parameter]
    public bool Value { get; set; }
    
    [Parameter]
    public EventCallback<bool> OnValueChanged { get; set; }

    private async Task HandleValueChangedAsync(ChangeEventArgs args)
    {
        await OnValueChanged.InvokeAsync((bool)args.Value!);
    }
}